Skip to content
SynupAPI
Get an API key
GETapi.synup.com/api/v4/local-post-ideas/extended-config

Local extended config

Returns the extended generation config for a location — brand tone, target customers, contact/address, brand colors and logos, and the services/products/content-rules used to ground post-idea generation.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Query

NameTypeRequiredDescription
locationIdstringrequiredRelay-encoded location ID.

Headers

NameTypeRequiredDescription
Synup-VersionstringrequiredAPI version date (YYYY-MM-DD).

Request

Request
curl -X GET 'https://api.synup.com/api/v4/local-post-ideas/extended-config?locationId=' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'

Responses

StatusDescription
200Successful response
401Unauthorized - Invalid or missing API key
Example response (generated from the schema)
{
  "data": {
    "localExtendedConfig": {
      "id": "string",
      "locationId": 0,
      "tone": "string",
      "targetCustomers": "string",
      "country": "string",
      "phone": "string",
      "address": "string",
      "location": "string",
      "primaryColor": "string",
      "secondaryColor": "string",
      "logoLight": "string",
      "logoDark": "string",
      "services": {},
      "products": {},
      "contentRules": {},
      "additionalContext": "string",
      "insights": {}
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectoptional
data.localExtendedConfigobjectoptional
data.localExtendedConfig.idstringoptional
data.localExtendedConfig.locationIdintegeroptional
data.localExtendedConfig.tonestringoptional
data.localExtendedConfig.targetCustomersstringoptional
data.localExtendedConfig.countrystringoptional
data.localExtendedConfig.phonestringoptional
data.localExtendedConfig.addressstringoptional
data.localExtendedConfig.locationstringoptional
data.localExtendedConfig.primaryColorstringoptional
data.localExtendedConfig.secondaryColorstringoptional
data.localExtendedConfig.logoLightstringoptional
data.localExtendedConfig.logoDarkstringoptional
data.localExtendedConfig.servicesobjectoptionalFree-form JSON describing services.
data.localExtendedConfig.productsobjectoptionalFree-form JSON describing products.
data.localExtendedConfig.contentRulesobjectoptionalFree-form JSON content rules.
data.localExtendedConfig.additionalContextstringoptional
data.localExtendedConfig.insightsobjectoptionalFree-form JSON insights.